Improve ReverseRange

06/02/2017 09:19 AM - Miroslav Fidler

Status: Rejected Start date: 06/02/2017

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Core Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

This should work:

CONSOLE_APP_MAIN

{

    VectorMap<int, String> h;

    h(1, "one")(2, "two");

    for(const auto& x : ReverseRange(~h))

        DLOG(x.key << ' ' << x.value);

}

History

#1 - 06/02/2017 01:09 PM - Miroslav Fidler

- Description updated

#2 - 06/03/2017 10:49 PM - Zbigniew Rebacz

- Category set to Core

#3 - 06/04/2017 08:36 PM - Miroslav Fidler

- Status changed from New to Rejected
